Index: /trunk/include/FlairCore/Vector2D.h
===================================================================
--- /trunk/include/FlairCore/Vector2D.h	(revision 12)
+++ /trunk/include/FlairCore/Vector2D.h	(revision 13)
@@ -14,153 +14,153 @@
 #define VECTOR2D_H
 
-namespace flair { namespace core {
+namespace flair {
+namespace core {
 
-    /*! \class Vector2D
-    *
-    * \brief Class defining a 2D vector
-    */
-    class Vector2D {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Vector2D using specified values.
-            *
-            * \param x
-            * \param y
-            */
-            Vector2D(float x=0,float y=0);
+/*! \class Vector2D
+*
+* \brief Class defining a 2D vector
+*/
+class Vector2D {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Vector2D using specified values.
+  *
+  * \param x
+  * \param y
+  */
+  Vector2D(float x = 0, float y = 0);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Vector2D();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Vector2D();
 
-            /*!
-            * \brief Rotation
-            *
-            * \param value rotation value in radians
-            */
-            void Rotate(float value);
+  /*!
+  * \brief Rotation
+  *
+  * \param value rotation value in radians
+  */
+  void Rotate(float value);
 
-            /*!
-            * \brief Rotation
-            *
-            * \param value rotation value in degrees
-            */
-            void RotateDeg(float value);
+  /*!
+  * \brief Rotation
+  *
+  * \param value rotation value in degrees
+  */
+  void RotateDeg(float value);
 
-            /*!
-            * \brief Norm
-            *
-            * \return value
-            */
-            float GetNorm(void) const;
+  /*!
+  * \brief Norm
+  *
+  * \return value
+  */
+  float GetNorm(void) const;
 
-            /*!
-            * \brief Normalize
-            */
-            void Normalize(void);
+  /*!
+  * \brief Normalize
+  */
+  void Normalize(void);
 
-            /*!
-            * \brief Saturate
-            *
-            * Saturate between min and max
-            *
-            * \param min minimum Vector2D value
-            * \param max maximum Vector2D value
-            */
-            void Saturate(Vector2D min,Vector2D max);
+  /*!
+  * \brief Saturate
+  *
+  * Saturate between min and max
+  *
+  * \param min minimum Vector2D value
+  * \param max maximum Vector2D value
+  */
+  void Saturate(Vector2D min, Vector2D max);
 
-            /*!
-            * \brief Saturate
-            *
-            * Saturate between min and max
-            *
-            * \param min minimum Vector2D(min,min) value
-            * \param max maximum Vector2D(max,max) value
-            */
-            void Saturate(float min,float max);
+  /*!
+  * \brief Saturate
+  *
+  * Saturate between min and max
+  *
+  * \param min minimum Vector2D(min,min) value
+  * \param max maximum Vector2D(max,max) value
+  */
+  void Saturate(float min, float max);
 
-            /*!
-            * \brief Saturate
-            *
-            * Saturate between -abs(value) and abs(value)
-            *
-            * \param value saturation Vector2D value
-            */
-            void Saturate(const Vector2D &value);
+  /*!
+  * \brief Saturate
+  *
+  * Saturate between -abs(value) and abs(value)
+  *
+  * \param value saturation Vector2D value
+  */
+  void Saturate(const Vector2D &value);
 
-            /*!
-            * \brief Saturate
-            *
-            * Saturate between -abs(Vector2D(value,value)) and abs(Vector2D(value,value))
-            *
-            * \param value saturation Vector2D(value,value)
-            */
-            void Saturate(float value);
+  /*!
+  * \brief Saturate
+  *
+  * Saturate between -abs(Vector2D(value,value)) and abs(Vector2D(value,value))
+  *
+  * \param value saturation Vector2D(value,value)
+  */
+  void Saturate(float value);
 
+  /*!
+  * \brief x
+  */
+  float x;
 
-            /*!
-            * \brief x
-            */
-            float x;
+  /*!
+  * \brief y
+  */
+  float y;
 
-            /*!
-            * \brief y
-            */
-            float y;
+  Vector2D &operator=(const Vector2D &vector);
+};
 
-            Vector2D &operator=(const Vector2D &vector);
-    };
+/*! Add
+*
+* \brief Add
+*
+* \param vectorA vector
+* \param vectorB vector
+*/
+Vector2D operator+(const Vector2D &vectorA, const Vector2D &vectorB);
 
-    /*! Add
-    *
-    * \brief Add
-    *
-    * \param vectorA vector
-    * \param vectorB vector
-    */
-    Vector2D operator + (const Vector2D &vectorA,const Vector2D &vectorB);
+/*! Substract
+*
+* \brief Substract
+*
+* \param vectorA vector
+* \param vectorB vector
+*/
+Vector2D operator-(const Vector2D &vectorA, const Vector2D &vectorB);
 
-    /*! Substract
-    *
-    * \brief Substract
-    *
-    * \param vectorA vector
-    * \param vectorB vector
-    */
-    Vector2D operator - (const Vector2D &vectorA,const Vector2D &vectorB);
+/*! Divid
+*
+* \brief Divid
+*
+* \param vector vector
+* \param coeff coefficent
+* \return vector/coefficient
+*/
+Vector2D operator/(const Vector2D &vector, float coeff);
 
-    /*! Divid
-    *
-    * \brief Divid
-    *
-    * \param vector vector
-    * \param coeff coefficent
-    * \return vector/coefficient
-    */
-    Vector2D operator / (const Vector2D &vector, float coeff);
+/*! Multiply
+*
+* \brief Multiplyf
+*
+* \param vector vector
+* \param coeff coefficent
+* \return coefficient*vector
+*/
+Vector2D operator*(const Vector2D &vector, float coeff);
 
-    /*! Multiply
-    *
-    * \brief Multiplyf
-    *
-    * \param vector vector
-    * \param coeff coefficent
-    * \return coefficient*vector
-    */
-    Vector2D operator * (const Vector2D &vector, float coeff);
-
-    /*! Multiply
-    *
-    * \brief Multiply
-    *
-    * \param coeff coefficent
-    * \param vector vector
-    * \return coefficient*vector
-    */
-    Vector2D operator * (float coeff,const Vector2D &vector);
+/*! Multiply
+*
+* \brief Multiply
+*
+* \param coeff coefficent
+* \param vector vector
+* \return coefficient*vector
+*/
+Vector2D operator*(float coeff, const Vector2D &vector);
 
 } // end namespace core
Index: /trunk/include/FlairCore/Vector3D.h
===================================================================
--- /trunk/include/FlairCore/Vector3D.h	(revision 12)
+++ /trunk/include/FlairCore/Vector3D.h	(revision 13)
@@ -16,281 +16,282 @@
 #include <stddef.h>
 
-namespace flair { namespace core {
-    class Vector2D;
-    class RotationMatrix;
-    class Quaternion;
-
-    /*! \class Vector3D
-    *
-    * \brief Class defining a 3D vector
-    */
-    class Vector3D {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Vector3D using specified values.
-            *
-            * \param x
-            * \param y
-            * \param z
-            */
-            Vector3D(float x=0,float y=0,float z=0);
-
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Vector3D();
-
-            /*!
-            * \brief x
-            */
-            float x;
-
-            /*!
-            * \brief y
-            */
-            float y;
-
-            /*!
-            * \brief z
-            */
-            float z;
-
-            /*!
-            * \brief x axis rotation
-            *
-            * \param value rotation value in radians
-            */
-            void RotateX(float value);
-
-            /*!
-            * \brief x axis rotation
-            *
-            * \param value rotation value in degrees
-            */
-            void RotateXDeg(float value);
-
-            /*!
-            * \brief y axis rotation
-            *
-            * \param value rotation value in radians
-            */
-            void RotateY(float value);
-
-            /*!
-            * \brief y axis rotation
-            *
-            * \param value rotation value in degrees
-            */
-            void RotateYDeg(float value);
-
-            /*!
-            * \brief z axis rotation
-            *
-            * \param value rotation value in radians
-            */
-            void RotateZ(float value);
-
-            /*!
-            * \brief z axis rotation
-            *
-            * \param value rotation value in degrees
-            */
-            void RotateZDeg(float value);
-
-            /*!
-            * \brief rotation
-            *
-            * \param matrix rotation matrix
-            */
-            void Rotate(const RotationMatrix &matrix);
-
-            /*!
-            * \brief rotation
-            *
-            * Compute a rotation from a quaternion. This method uses a rotation matrix
-            * internaly.
-            *
-            * \param quaternion quaternion
-            */
-            void Rotate(const Quaternion &quaternion);
-
-            /*!
-            * \brief Convert to a Vector2D
-            *
-            * Uses x and y coordinates.
-            *
-            * \param vector destination
-            */
-            void To2Dxy(Vector2D &vector) const;
-
-            /*!
-            * \brief Convert to a Vector2D
-            *
-            * Uses x and y coordinates.
-            *
-            * \return destination
-            */
-            Vector2D To2Dxy(void) const;
-
-            /*!
-            * \brief Norm
-            *
-            * \return value
-            */
-            float GetNorm(void) const;
-
-            /*!
-            * \brief Normalize
-            */
-            void Normalize(void);
-
-            /*!
-            * \brief Saturate
-            *
-            * Saturate between min and max
-            *
-            * \param min minimum value
-            * \param max maximum value
-            */
-            void Saturate(const Vector3D &min,const Vector3D &max);
-
-            /*!
-            * \brief Saturate
-            *
-            * Saturate between min and max
-            *
-            * \param min minimum Vector3D(min,min,min) value
-            * \param max maximum Vector3D(max,max,max) value
-            */
-            void Saturate(float min,float max);
-
-            /*!
-            * \brief Saturate
-            *
-            * Saturate between -abs(value) and abs(value)
-            *
-            * \param value saturation Vector3D value
-            */
-            void Saturate(const Vector3D &value);
-
-            /*!
-            * \brief Saturate
-            *
-            * Saturate between -abs(Vector3D(value,value,value)) and abs(Vector3D(value,value,value))
-            *
-            * \param value saturation Vector3D(value,value,value)
-            */
-            void Saturate(float value);
-
-            float &operator[](size_t idx);
-            const float &operator[](size_t idx) const;
-            Vector3D &operator=(const Vector3D& vector);
-            Vector3D &operator+=(const Vector3D& vector);
-            Vector3D &operator-=(const Vector3D& vector);
-
-        private:
-
-    };
-
-    /*! Add
-    *
-    * \brief Add
-    *
-    * \param vectorA vector
-    * \param vectorB vector
-    *
-    * \return vectorA+vectorB
-    */
-    Vector3D operator + (const Vector3D &vectorA,const Vector3D &vectorB);
-
-    /*! Substract
-    *
-    * \brief Substract
-    *
-    * \param vectorA vector
-    * \param vectorB vector
-    *
-    * \return vectorA-vectorB
-    */
-    Vector3D operator - (const Vector3D &vectorA,const Vector3D &vectorB);
-
-    /*! Minus
-    *
-    * \brief Minus
-    *
-    * \param vector vector
-    *
-    * \return -vector
-    */
-    Vector3D operator-(const Vector3D &vector);
-
-    /*! Divid
-    *
-    * \brief Divid
-    *
-    * \param vector vector
-    * \param coeff coefficent
-    *
-    * \return vector/coefficient
-    */
-    Vector3D operator / (const Vector3D &vector, float coeff);
-
-    /*! Hadamard product
-    *
-    * \brief Hadamard product
-    *
-    * \param vectorA vector
-    * \param vectorBA vector
-    *
-    * \return Hadamard product
-    */
-    Vector3D operator * (const Vector3D &vectorA, const Vector3D &vectorB);
-
-    /*! Multiply
-    *
-    * \brief Multiply
-    *
-    * \param vector vector
-    * \param coeff coefficent
-    *
-    * \return coefficient*vector
-    */
-    Vector3D operator * (const Vector3D &vector, float coeff);
-
-    /*! Multiply
-    *
-    * \brief Multiply
-    *
-    * \param coeff coefficent
-    * \param vector vector
-    *
-    * \return coefficient*vector
-    */
-    Vector3D operator * (float coeff, const Vector3D &vector);
-
-    /*! Cross product
-    *
-    * \brief Cross product
-    *
-    * \param vectorA first vector
-    * \param vectorB second vector
-    *
-    * \return cross product
-    */
-    Vector3D CrossProduct(const Vector3D &vectorA, const Vector3D &vectorB);
-
-    /*! Dot product
-    *
-    * \brief Dot product
-    *
-    * \param vectorA first vector
-    * \param vectorB second vector
-    *
-    * \return dot product
-    */
-    float DotProduct(const Vector3D &vectorA, const Vector3D &vectorB);
+namespace flair {
+namespace core {
+class Vector2D;
+class RotationMatrix;
+class Quaternion;
+
+/*! \class Vector3D
+*
+* \brief Class defining a 3D vector
+*/
+class Vector3D {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Vector3D using specified values.
+  *
+  * \param x
+  * \param y
+  * \param z
+  */
+  Vector3D(float x = 0, float y = 0, float z = 0);
+
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Vector3D();
+
+  /*!
+  * \brief x
+  */
+  float x;
+
+  /*!
+  * \brief y
+  */
+  float y;
+
+  /*!
+  * \brief z
+  */
+  float z;
+
+  /*!
+  * \brief x axis rotation
+  *
+  * \param value rotation value in radians
+  */
+  void RotateX(float value);
+
+  /*!
+  * \brief x axis rotation
+  *
+  * \param value rotation value in degrees
+  */
+  void RotateXDeg(float value);
+
+  /*!
+  * \brief y axis rotation
+  *
+  * \param value rotation value in radians
+  */
+  void RotateY(float value);
+
+  /*!
+  * \brief y axis rotation
+  *
+  * \param value rotation value in degrees
+  */
+  void RotateYDeg(float value);
+
+  /*!
+  * \brief z axis rotation
+  *
+  * \param value rotation value in radians
+  */
+  void RotateZ(float value);
+
+  /*!
+  * \brief z axis rotation
+  *
+  * \param value rotation value in degrees
+  */
+  void RotateZDeg(float value);
+
+  /*!
+  * \brief rotation
+  *
+  * \param matrix rotation matrix
+  */
+  void Rotate(const RotationMatrix &matrix);
+
+  /*!
+  * \brief rotation
+  *
+  * Compute a rotation from a quaternion. This method uses a rotation matrix
+  * internaly.
+  *
+  * \param quaternion quaternion
+  */
+  void Rotate(const Quaternion &quaternion);
+
+  /*!
+  * \brief Convert to a Vector2D
+  *
+  * Uses x and y coordinates.
+  *
+  * \param vector destination
+  */
+  void To2Dxy(Vector2D &vector) const;
+
+  /*!
+  * \brief Convert to a Vector2D
+  *
+  * Uses x and y coordinates.
+  *
+  * \return destination
+  */
+  Vector2D To2Dxy(void) const;
+
+  /*!
+  * \brief Norm
+  *
+  * \return value
+  */
+  float GetNorm(void) const;
+
+  /*!
+  * \brief Normalize
+  */
+  void Normalize(void);
+
+  /*!
+  * \brief Saturate
+  *
+  * Saturate between min and max
+  *
+  * \param min minimum value
+  * \param max maximum value
+  */
+  void Saturate(const Vector3D &min, const Vector3D &max);
+
+  /*!
+  * \brief Saturate
+  *
+  * Saturate between min and max
+  *
+  * \param min minimum Vector3D(min,min,min) value
+  * \param max maximum Vector3D(max,max,max) value
+  */
+  void Saturate(float min, float max);
+
+  /*!
+  * \brief Saturate
+  *
+  * Saturate between -abs(value) and abs(value)
+  *
+  * \param value saturation Vector3D value
+  */
+  void Saturate(const Vector3D &value);
+
+  /*!
+  * \brief Saturate
+  *
+  * Saturate between -abs(Vector3D(value,value,value)) and
+  *abs(Vector3D(value,value,value))
+  *
+  * \param value saturation Vector3D(value,value,value)
+  */
+  void Saturate(float value);
+
+  float &operator[](size_t idx);
+  const float &operator[](size_t idx) const;
+  Vector3D &operator=(const Vector3D &vector);
+  Vector3D &operator+=(const Vector3D &vector);
+  Vector3D &operator-=(const Vector3D &vector);
+
+private:
+};
+
+/*! Add
+*
+* \brief Add
+*
+* \param vectorA vector
+* \param vectorB vector
+*
+* \return vectorA+vectorB
+*/
+Vector3D operator+(const Vector3D &vectorA, const Vector3D &vectorB);
+
+/*! Substract
+*
+* \brief Substract
+*
+* \param vectorA vector
+* \param vectorB vector
+*
+* \return vectorA-vectorB
+*/
+Vector3D operator-(const Vector3D &vectorA, const Vector3D &vectorB);
+
+/*! Minus
+*
+* \brief Minus
+*
+* \param vector vector
+*
+* \return -vector
+*/
+Vector3D operator-(const Vector3D &vector);
+
+/*! Divid
+*
+* \brief Divid
+*
+* \param vector vector
+* \param coeff coefficent
+*
+* \return vector/coefficient
+*/
+Vector3D operator/(const Vector3D &vector, float coeff);
+
+/*! Hadamard product
+*
+* \brief Hadamard product
+*
+* \param vectorA vector
+* \param vectorBA vector
+*
+* \return Hadamard product
+*/
+Vector3D operator*(const Vector3D &vectorA, const Vector3D &vectorB);
+
+/*! Multiply
+*
+* \brief Multiply
+*
+* \param vector vector
+* \param coeff coefficent
+*
+* \return coefficient*vector
+*/
+Vector3D operator*(const Vector3D &vector, float coeff);
+
+/*! Multiply
+*
+* \brief Multiply
+*
+* \param coeff coefficent
+* \param vector vector
+*
+* \return coefficient*vector
+*/
+Vector3D operator*(float coeff, const Vector3D &vector);
+
+/*! Cross product
+*
+* \brief Cross product
+*
+* \param vectorA first vector
+* \param vectorB second vector
+*
+* \return cross product
+*/
+Vector3D CrossProduct(const Vector3D &vectorA, const Vector3D &vectorB);
+
+/*! Dot product
+*
+* \brief Dot product
+*
+* \param vectorA first vector
+* \param vectorB second vector
+*
+* \return dot product
+*/
+float DotProduct(const Vector3D &vectorA, const Vector3D &vectorB);
 
 } // end namespace core
Index: /trunk/include/FlairCore/Vector3DSpinBox.h
===================================================================
--- /trunk/include/FlairCore/Vector3DSpinBox.h	(revision 12)
+++ /trunk/include/FlairCore/Vector3DSpinBox.h	(revision 13)
@@ -17,54 +17,57 @@
 #include <Vector3D.h>
 
-namespace flair { namespace gui {
-    class Layout;
+namespace flair {
+namespace gui {
+class Layout;
 
-    /*! \class Vector3DSpinBox
-    *
-    * \brief Class displaying 3 QDoubleSpinBox for x,y,z on the ground station
-    *
-    */
-    class Vector3DSpinBox: public Box {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Vector3DSpinBox at given position. \n
-            * Each DoubleSpinBox is saturated to min and max values.
-            *
-            * \param position position to display the Vector3DSpinBox
-            * \param name name
-            * \param min minimum value
-            * \param max maximum value
-            * \param step step
-            * \param decimals number of decimals
-            * \param default_value default value if not in the xml config file
-            */
-            Vector3DSpinBox(const LayoutPosition* position,std::string name,double min,double max,double step,int decimals=2,core::Vector3D default_value=core::Vector3D(0,0,0));
+/*! \class Vector3DSpinBox
+*
+* \brief Class displaying 3 QDoubleSpinBox for x,y,z on the ground station
+*
+*/
+class Vector3DSpinBox : public Box {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Vector3DSpinBox at given position. \n
+  * Each DoubleSpinBox is saturated to min and max values.
+  *
+  * \param position position to display the Vector3DSpinBox
+  * \param name name
+  * \param min minimum value
+  * \param max maximum value
+  * \param step step
+  * \param decimals number of decimals
+  * \param default_value default value if not in the xml config file
+  */
+  Vector3DSpinBox(const LayoutPosition *position, std::string name, double min,
+                  double max, double step, int decimals = 2,
+                  core::Vector3D default_value = core::Vector3D(0, 0, 0));
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Vector3DSpinBox();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Vector3DSpinBox();
 
-            /*!
-            * \brief Value
-            *
-            * \return value
-            */
-            core::Vector3D Value(void) const;
-            //operator core::Vector3D() const;
-        private:
-            /*!
-            * \brief XmlEvent from ground station
-            *
-            * Reimplemented from Widget.
-            *
-            */
-            void XmlEvent(void);
+  /*!
+  * \brief Value
+  *
+  * \return value
+  */
+  core::Vector3D Value(void) const;
+  // operator core::Vector3D() const;
+private:
+  /*!
+  * \brief XmlEvent from ground station
+  *
+  * Reimplemented from Widget.
+  *
+  */
+  void XmlEvent(void);
 
-            core::Vector3D box_value;
-    };
+  core::Vector3D box_value;
+};
 
 } // end namespace gui
Index: /trunk/include/FlairCore/Vector3Ddata.h
===================================================================
--- /trunk/include/FlairCore/Vector3Ddata.h	(revision 12)
+++ /trunk/include/FlairCore/Vector3Ddata.h	(revision 13)
@@ -18,72 +18,70 @@
 #include <Vector3D.h>
 
-namespace flair
-{
-namespace core
-{
+namespace flair {
+namespace core {
 
-    /*! \class Vector3Ddata
-    *
-    * \brief Class defining a 3D vector and a io_data
-    * User must manually use the io_data's Mutex to access to Vector3D values.
-    */
-    class Vector3Ddata: public io_data, public Vector3D
-    {
-        public:
-            /*!
-            * \brief Constructor
-            *
-            * Construct a Vector3D using specified values.
-            *
-            * \param x
-            * \param y
-            * \param z
-            */
-            Vector3Ddata(const Object* parent, std::string name,float x=0,float y=0,float z=0,uint32_t n=1);
+/*! \class Vector3Ddata
+*
+* \brief Class defining a 3D vector and a io_data
+* User must manually use the io_data's Mutex to access to Vector3D values.
+*/
+class Vector3Ddata : public io_data, public Vector3D {
+public:
+  /*!
+  * \brief Constructor
+  *
+  * Construct a Vector3D using specified values.
+  *
+  * \param x
+  * \param y
+  * \param z
+  */
+  Vector3Ddata(const Object *parent, std::string name, float x = 0, float y = 0,
+               float z = 0, uint32_t n = 1);
 
-            /*!
-            * \brief Destructor
-            *
-            */
-            ~Vector3Ddata();
+  /*!
+  * \brief Destructor
+  *
+  */
+  ~Vector3Ddata();
 
-            /*!
-            * \brief X Element
-            *
-            * Get a vectorer to x element. This pointer can be used for plotting.
-            *
-            * \return pointer to the element
-            */
-            IODataElement* XElement(void) const;
+  /*!
+  * \brief X Element
+  *
+  * Get a vectorer to x element. This pointer can be used for plotting.
+  *
+  * \return pointer to the element
+  */
+  IODataElement *XElement(void) const;
 
-            /*!
-            * \brief Y Element
-            *
-            * Get a pointer to y element. This pointer can be used for plotting.
-            *
-            * \return pointer to the element
-            */
-            IODataElement* YElement(void) const;
+  /*!
+  * \brief Y Element
+  *
+  * Get a pointer to y element. This pointer can be used for plotting.
+  *
+  * \return pointer to the element
+  */
+  IODataElement *YElement(void) const;
 
-            /*!
-            * \brief Z Element
-            *
-            * Get a pointer to z element. This pointer can be used for plotting.
-            *
-            * \return pointer to the element
-            */
-            IODataElement* ZElement(void) const;
+  /*!
+  * \brief Z Element
+  *
+  * Get a pointer to z element. This pointer can be used for plotting.
+  *
+  * \return pointer to the element
+  */
+  IODataElement *ZElement(void) const;
 
-        private:
-            /*!
-            * \brief Copy datas
-            *
-            * Reimplemented from io_data. \n
-            * See io_data::CopyDatas.
-            *
-            * \param dst destination buffer
-            */
-            void CopyDatas(char* dst) const;
-    };
+private:
+  /*!
+  * \brief Copy datas
+  *
+  * Reimplemented from io_data. \n
+  * See io_data::CopyDatas.
+  *
+  * \param dst destination buffer
+  */
+  void CopyDatas(char *dst) const;
+};
 
 } // end namespace core
